summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Benjamin Trigona-Harany <slackbuilds@jaxartes.net>2018-01-02 23:50:21 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-01-06 06:55:25 +0700
commitf128bfad271fea05bd0e088fda9e8de2453840d0 (patch)
treefb31ceb9f9792275e1cd5cc402c8a210835c242d /development
parent8d5f9798178fc309ff1625879e57f7112ce96622 (diff)
downloadslackbuilds-f128bfad271fea05bd0e088fda9e8de2453840d0.tar.gz
slackbuilds-f128bfad271fea05bd0e088fda9e8de2453840d0.tar.xz
development/eovim: Added (Neovim client).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/eovim/README6
-rw-r--r--development/eovim/doinst.sh3
-rw-r--r--development/eovim/eovim.SlackBuild105
-rw-r--r--development/eovim/eovim.info10
-rw-r--r--development/eovim/slack-desc19
5 files changed, 143 insertions, 0 deletions
diff --git a/development/eovim/README b/development/eovim/README
new file mode 100644
index 0000000000..0fc7a3cf28
--- /dev/null
+++ b/development/eovim/README
@@ -0,0 +1,6 @@
+Eovim is a client for Neovim written using the Enlightenment Foundation Library.
+
+Eovim is written in plain C, with the amazing EFL, adding value to the
+text-only neovim with a minimal runtime overhead. If you don't like the
+externalized UI, it can be turned off, or changed via themes. Eovim also
+provides its own plugin system, so the UI can be modified directly from neovim.
diff --git a/development/eovim/doinst.sh b/development/eovim/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/development/eovim/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/development/eovim/eovim.SlackBuild b/development/eovim/eovim.SlackBuild
new file mode 100644
index 0000000000..4d948f53d4
--- /dev/null
+++ b/development/eovim/eovim.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Slackware build script for eovim
+
+# Copyright 2018 Benjamin Trigona-Harany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=eovim
+VERSION=${VERSION:-0.1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+# FOR FUTURE UPDATE
+#if [ "$LIBDIRSUFFIX" != "" ]; then
+# mv $PKG/usr/lib{,$LIBDIRSUFFIX}
+#fi
+#
+#mv $PKG/usr/share/man $PKG/usr/man
+#find $PKG/usr/man -type f -exec gzip -9 {} \;
+#for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS LICENSE README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/eovim/eovim.info b/development/eovim/eovim.info
new file mode 100644
index 0000000000..10330f31ce
--- /dev/null
+++ b/development/eovim/eovim.info
@@ -0,0 +1,10 @@
+PRGNAM="eovim"
+VERSION="0.1.1"
+HOMEPAGE="https://github.com/jeanguyomarch/eovim"
+DOWNLOAD="https://github.com/jeanguyomarch/eovim/archive/v0.1.1/eovim-0.1.1.tar.gz"
+MD5SUM="3446e5f1c7388d3a728523cbab1bab27"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="efl neovim"
+MAINTAINER="Benjamin Trigona-Harany"
+EMAIL="slackbuilds@jaxartes.net"
diff --git a/development/eovim/slack-desc b/development/eovim/slack-desc
new file mode 100644
index 0000000000..d33195c8c8
--- /dev/null
+++ b/development/eovim/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+eovim: eovim (Neovim client)
+eovim:
+eovim: Eovim is a client for Neovim written using the Enlightenment
+eovim: Foundation Library.
+eovim:
+eovim:
+eovim:
+eovim:
+eovim:
+eovim:
+eovim: